package com.usky.iot.mapper;

import com.usky.iot.domain.PmWorkContent;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.iot.service.vo.PmProjectTotalWorkTimeVo;
import com.usky.iot.service.vo.PmProjectWorkTimeVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 工作内容表 Mapper 接口
 * </p>
 *
 * @author fu
 * @since 2024-05-20
 */
@Repository
public interface PmWorkContentMapper extends CrudMapper<PmWorkContent> {

    List<PmProjectWorkTimeVo> workTimeCount(@Param("startTime") LocalDateTime startTime,
                                            @Param("endTime") LocalDateTime endTime,
                                            @Param("userId") Long userId);

/*    List<PmProjectTotalWorkTimeVo> timeCount(@Param("startTime") LocalDateTime startTime,
                                             @Param("endTime") LocalDateTime endTime,
                                             @Param("userId") Long userId);*/
}
