package com.usky.fire;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.SysUserVO;
import com.usky.fire.factory.RemoteFireFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@FeignClient(contextId = "remoteFireService", value = "usky-fire" , fallbackFactory = RemoteFireFallbackFactory.class)
public interface RemoteFireService {

    @PostMapping("addPatrolInspectionAbnormalData")
    ApiResult<Void> addPatrolInspectionAbnormalData();
}
