package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.BaseAlarmType;
import com.usky.iot.domain.BaseAppInfo;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.BaseGgpFacility;
import com.usky.iot.service.vo.AppInfoRequest;
import com.usky.iot.service.vo.BaseGgpFacilityRequest;

/**
 * <p>
 * APP用户心跳信息 服务类
 * </p>
 *
 * @author han
 * @since 2024-03-29
 */
public interface BaseAppInfoService extends CrudService<BaseAppInfo> {
    /**
     * 新增
     * @param baseAppInfo
     * @return
     */
    void add(BaseAppInfo baseAppInfo);

    CommonPage<BaseAppInfo> page(AppInfoRequest appInfoRequest);
}
