package com.usky.meeting.controller.web;

import com.usky.meeting.service.MeetingInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@EnableScheduling
@Component
public class TaskController {
    @Autowired
    private MeetingInfoService meetingInfoService;

    @Scheduled(cron = "0 1,31 * * * ? ") //每小时第1分钟和第31分钟各执行一次
    public void task(){
        System.out.println(Thread.currentThread().getName()+"定时任务执行中");
        meetingInfoService.updateMeetingInfoStatus();
    }
}
