package com.usky.meeting.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MeetingFace implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "fid", type = IdType.AUTO)
    private Integer fid;

    /**
     * 图片数据 base_64编码
     */
    private String faceBase;

    /**
     * 插入时间
     */
    private LocalDateTime createTime;

    /**
     * 验证次数
     */
    private Integer vefNum;

    /**
     * 人脸名称
     */
    private String faceName;

    /**
     * 人脸备注
     */
    private String remark;

    /**
     * 人脸是否可用，(0==可用，1,不可用)
     */
    private Integer faceStatus;

    /**
     * 扩展字段2
     */
    private String updateExtend2;

    /**
     * 扩展字段3
     */
    private String updateExtend3;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 用户ID
     */
    private Long userId;


}
