package com.usky.meeting.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MeetingFaceVefLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "lid", type = IdType.AUTO)
    private Integer lid;

    /**
     * 验证时间
     */
    private LocalDateTime vefTime;

    /**
     * 返回code
     */
    private Integer vefCode;

    /**
     * 返回的消息
     */
    private String vefMsg;

    /**
     * 验证人
     */
    private String loginName;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
